%define name		halfd
%define old_name	hlds_ld
%define version		2.20
%define beta		b18
%define release		0.%{beta}.2mdk
%define summary		Advanced Server Management for Linux Half Life Servers!
%define hldir		%{_prefix}/local/hlds_l

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Games/Other
Source0:	http://www.halfd.org/beta/%{name}-%{version}%{beta}.tar.bz2
Source1:	%{name}.init.bz2
URL:		http://www.halfd.org
Requires:	tclx
Requires:	tk
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	%{old_name}
Provides:	%{old_name}

%description
halfd is a Linux Half-Life server management tool, consisting of a
daemon process and GUI clients. It is designed to work with all mods
(TFC, Counter-Strike, etc).

%package gui
Summary:	GUI for %{name}
Group:		Games/Other
Obsoletes:	%{old_name}-gui
Provides:	%{old_name}-gui

%description gui
This package contains a GUI for halfd.

%package cgi
Summary:	CGI script for %{name}
Group:		Games/Other
Requires:	%{name} webserver
Obsoletes:	%{old_name}-cgi
Provides:	%{old_name}-cgi

%description cgi
This package contains a script meant to be executed by your web server
to provide realtime stats on your server to your web clients

%prep
%setup -n  %{name}-%{version}%{beta}
bzcat %{SOURCE1} > %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 0755 $RPM_BUILD_ROOT%{_initrddir}
install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 0755 $RPM_BUILD_ROOT%{hldir}
install -d -m 0755 $RPM_BUILD_ROOT%{hldir}/valve
install -d -m 0755 $RPM_BUILD_ROOT%{hldir}/cstrike
install -d -m 0755 $RPM_BUILD_ROOT%{hldir}/tfc
install -d -m 0755 $RPM_BUILD_ROOT%{hldir}/gearbox
install -d -m 0755 $RPM_BUILD_ROOT%{_var}/www/cgi-bin
# Files that install in bin/
install -m 0755 halfd hlcmd hlgui hlclustermon $RPM_BUILD_ROOT%{_bindir}
# Files that install in HLDIR
install -m 0644 halfd.txt hlclustermon.cfg $RPM_BUILD_ROOT%{hldir}
# Files that install in HLDIR/mod
install -m 0644 valve/halfd.cfg $RPM_BUILD_ROOT%{hldir}/valve
install -m 0644 cstrike/halfd.cfg $RPM_BUILD_ROOT%{hldir}/cstrike
install -m 0644 tfc/halfd.cfg $RPM_BUILD_ROOT%{hldir}/tfc
install -m 0644 gearbox/halfd.cfg $RPM_BUILD_ROOT%{hldir}/gearbox
# GUI config file
install -m 0644 hlgui.cfg $RPM_BUILD_ROOT%{_sysconfdir}
# CGI script
install -m 0755 halfd.cgi $RPM_BUILD_ROOT%{_var}/www/cgi-bin
# Start script
install -m 0755 halfd $RPM_BUILD_ROOT%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add %{name}

%preun
chkconfig --del %{name}

%files
%defattr(-,root,root)
%doc FAQ.txt INSTALL-CGI INSTALL.readme LICENSE README UPGRADE deutsch espanol francais
%attr(0755,root,root) %{_initrddir}/halfd
%{_bindir}/halfd
%{_bindir}/hlcmd
%{_bindir}/hlclustermon
%{hldir}/halfd.txt
%config(noreplace) %{hldir}/hlclustermon.cfg
%config(noreplace) %{hldir}/valve/halfd.cfg
%config(noreplace) %{hldir}/cstrike/halfd.cfg
%config(noreplace) %{hldir}/tfc/halfd.cfg
%config(noreplace) %{hldir}/gearbox/halfd.cfg

%files gui
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/hlgui.cfg
%{_bindir}/hlgui

%files cgi
%defattr(-,root,root)
%{_var}/www/cgi-bin/halfd.cgi

%changelog
* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.20-0.b18.2mdk
- spec file cleanups, remove the ADVX-build stuff
- some rpmlint fixes

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.20-0.b18.1mdk 
- new version
- fixed service script
- rpmbuildupdate aware

* Sat Feb 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.20-0.b15.1mdk
- new version
- more macros

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.19-2mdk
- rebuild

* Fri Dec 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.19-1mdk
- 2.19

* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.10-1mdk
- 2.10
- obsoletes hlds_ld

* Mon Jul 02 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.70-2mdk
- s/Copyright/License/
- changed group to Games/Other
- put the gui into a distinct package
- used %config for launch script (make rpmlint happier)
- removed %config for cgi script

* Sun Jun 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.70-1mdk
- 1.70
- changed name to halfd
- updated URL
- removed specific french package and put translations in doc
- small spec cleanup

* Sat Apr 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.50b5-1mdk
- 1.50b5

* Sun Mar 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.50b2-1mdk
- 1.50b2
- start script in /etc/rc.d/init.d

* Tue Mar 06 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40-1mdk
- 1.40
- removed french translations sources as they are now included in release
- put french translations in a distinct package
- used %config(noreplace) for every config file and CGI script
- spec cleanup

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31-3mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- moved french translation in %{_docdir}
	- minor spec cleanup

* Tue Dec 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31-2mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
- added french server translation
- added cgi package
		  
* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31-1mdk
- new in contribs
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com
		    
* Sun Dec 17 2000 Guillaume Rousse <g.rousse@linux-mandrake.com>
- first Mandrake package  
